%define gnome_pilot_version 2.0.17

### Abstract ###

Name: gnome-pilot-conduits
Version: 2.0.17
Release: 4%{?dist}
License: GPLv2+ and MPLv1.0
Group: Applications/Communications
Summary: Additional conduits for gnome-pilot
URL: http://live.gnome.org/GnomePilot
BuildRoot: %{_tmppath}/%{name}-%{version}
Source: http://download.gnome.org/source/%{name}/2.0/%{name}-%{version}.tar.bz2
ExcludeArch: s390 s390x

### Dependencies ###

Requires: gnome-pilot >= %{gnome_pilot_version}

### Build Dependencies ###

BuildRequires: gettext
BuildRequires: gnome-pilot-devel >= %{gnome_pilot_version}
BuildRequires: libtool

%description
gnome-pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm>.

This is a collection of additional conduits for gnome-pilot, it
currently features
 - MAL conduit
 - Time synchronization conduit
 - Email conduit
 - Expense conduit
 - Memo file conduit

%prep
%setup -q

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

mv $RPM_BUILD_ROOT/%{_datadir}/gnome-pilot/conduits/*.conduit \
   $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits

rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.{la,a}
rm -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/avantgo.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/gnome-pilot/conduits/*.conduit
%{_libdir}/gnome-pilot/conduits/*.so


%changelog

